package com.ruoyi.bar.service;

import com.ruoyi.common.core.domain.entity.WyBarUser;

import java.util.List;

/**
 * 品牌方用户信息Service接口
 * 
 * @author ruoyi
 * @date 2025-01-04
 */
public interface IWyBarUserService 
{
    /**
     * 查询品牌方用户信息
     * 
     * @param userId 品牌方用户信息主键
     * @return 品牌方用户信息
     */
    public WyBarUser selectWyBarUserByUserId(Long userId);

    WyBarUser selectWyBarUserByUserName(String userName);

    WyBarUser selectWyBarUserByPhoneNumber(String phonenumber);

    WyBarUser selectWyBarUserByOpenId(String openId);

    /**
     * 查询品牌方用户信息列表
     * 
     * @param wyBarUser 品牌方用户信息
     * @return 品牌方用户信息集合
     */
    public List<WyBarUser> selectWyBarUserList(WyBarUser wyBarUser);

    /**
     * 新增品牌方用户信息
     * 
     * @param wyBarUser 品牌方用户信息
     * @return 结果
     */
    public int insertWyBarUser(WyBarUser wyBarUser);

    /**
     * 修改品牌方用户信息
     * 
     * @param wyBarUser 品牌方用户信息
     * @return 结果
     */
    public int updateWyBarUser(WyBarUser wyBarUser);

    /**
     * 批量删除品牌方用户信息
     * 
     * @param userIds 需要删除的品牌方用户信息主键集合
     * @return 结果
     */
    public int deleteWyBarUserByUserIds(Long[] userIds);

    /**
     * 删除品牌方用户信息信息
     * 
     * @param userId 品牌方用户信息主键
     * @return 结果
     */
    public int deleteWyBarUserByUserId(Long userId);

    WyBarUser selectUserByUserName(String username);
}
